* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

h1 {
    font-size: clamp(1.7rem, 5vw, 3rem);
}

a {
    text-decoration: none;
    color: #153c33;
}

h2 {
    width: fit-content;
    color: #e29500;
    border-bottom: 2px solid #e29500;
    text-transform: uppercase;
    border-width: 50%;
    font-size: clamp(1.5rem, 5vw, 2rem);
}

@property --angle {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}

.btn {
    position: relative;
}

.btn::after,
.btn::before {
    position: absolute;
    content: '';
    inset: -6px;
    background: conic-gradient(from var(--angle), transparent 70%, #e29500);
    filter: blur(2px);
    border-radius: inherit;
    animation: spin 3s linear infinite;
    z-index: -1;
}

@keyframes spin {

    from {
        --angle: 0deg
    }

    to {
        --angle: 360deg
    }

}

/* profile container section  */

.profile-container {
    display: flex;
    gap: 30px;
}

/* profile section  */

.profile {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    width: 300px;
    padding-top: 50px;
    height: 100%;
    border-right: 1px solid #153c33;
    box-shadow: 0 0 15px 5px #e29500;
    transition: .4s ease;
    background: #fff;
}

.profile h6 {
    position: absolute;
    top: 15px;
    right: 20px;
    font-size: 1.9rem;
    color: #e29500;
    cursor: pointer;
    display: none;
}

.profile img {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    object-fit: cover;
    border: 2px solid #153c33;
    box-shadow: 0 0 15px 5px #e29500;
    object-position: top;
}

.profile .social-icon {
    display: flex;
    gap: 9px;
    font-size: 1.5rem;
    color: #153c33;
    border-bottom: 2px solid #153c33;
    padding-bottom: 8px;
    width: 100%;
    align-items: center;
    justify-content: center;
}

.profile .nav {
    display: flex;
    flex-direction: column;
    gap: 15px;
    justify-content: start;
    align-items: start;
    width: 100%;
    padding-left: 20px;
}

.profile .nav a {
    text-align: left;
    text-transform: capitalize;
    font-size: 1.1rem;
    font-weight: 600;
}

/* main container section  */

.menu {
    background: #dedcdc;
    padding: 6px 12px;
    box-shadow: 0 0 15px 5px #e29500;
    z-index: 99;
    font-size: 1.3rem;
    display: none;
}

.menu i {
    color: #153c33;
    cursor: pointer;
}

.main-container {
    padding-left: 320px;
}

.pro-container {
    box-shadow: 0 0 15px 4px #e29500;
}

#carouselExampleSlidesOnly,
.carousel-inner {
    width: 100%;
    height: 500px;
    box-shadow: 0 0 12px 4px #e29500;
    border-bottom: 3px solid #153c33;
}

/* about section  */

section {
    padding: 12px;
}

.about {
    margin-top: 30px;
}

.about .details {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 25px;
    /* background: #fff; */
}

.details .about-img {
    max-width: 400px;
    width: 100%;
    background: #fff;
}

.details .about-img img {
    width: 100%;
    border-radius: 9px;
    border: 2px solid #153c33;
    border-radius: 9px;
}

.about-text {
    max-width: 700px;
    width: 100%;
}

.my-detail .detail {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 10px;
}

.detail span {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
}

.detail span i {
    color: #e29500;
}

/* professional journey section  */

.profesions {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    flex-wrap: wrap;
}

.force {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 1px solid #153c33;
    padding: 20px;
    background: #fff;
    max-width: 300px;
    width: 100%;
    box-shadow: 0 0 14px 4px #e29500;
    border-radius: 9px;
}

.force img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    object-position: top;
    transition: .4s ease;
}

.force img:hover {
    box-shadow: 0 0 10px 3px #e29500;
    border-radius: 9px;
    /* transform: scale(1); */
    transform: rotate(-5deg);
}

.force span {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* skill section  */

.skills {
    width: 100%;
    display: flex;
    gap: 30px;
    /* flex-wrap: wrap; */
}

.skill-detail {
    max-width: 600px;
    width: 100%;

}

.skill {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-bottom: 30px;
}

.skill .skill-info {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.skill .progress {
    width: 100%;
    height: 10px;
    border-radius: 25px;
}

.progress-bar {
    width: 0;
    height: 100%;
    background: linear-gradient(90deg, #d4af37, #f4d03f);
    transition: width 1.3s ease-in-out;
}

/* transformation section  */

.change {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.trans-img {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 350px;
    width: 100%;
    text-align: center;
    height: 350px;
    background: #fff;
}

.trans {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 350px;
    width: 100%;
    text-align: center;
    height: 330px;
    color: #e29500;
    text-transform: uppercase;
}

.trans i {
    font-size: 2.5rem;
}

.trans .fa-arrow-down {
    display: none;
}

.trans-img img {
    width: 100%;
    height: 280px;
    object-fit: cover;
    object-position: top;
    border-radius: 9px;
}

/* contact section  */

.contact-detail {
    display: flex;
    gap: 25px;
}

.contact {
    padding: 30px 9px;
    background: #eae2c6;
}

.detail {
    max-width: 500px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 25px 9px;
    /* background: #eae2c6; */
    border-radius: 12px;
}

.detail span {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.2rem;
}

form {
    max-width: 500px;
    width: 100%;
    gap: 20px;
    /* background: #eae2c6; */
}

.fild {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 18px;
}

.fild label {
    color: #e29500;
}

.fild input {
    outline: none;
    padding: 0 9px;
}

form button {
    padding: 6px 30px;
    background: #e29500;
    color: #fff;
    border-radius: 25px;
    margin: 0 auto;
    border: none;
}


/* achievement page style  */

.header {
    width: 100%;
    padding: 80px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #eae2c6;
}

.text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    text-align: center;
    margin: 30px 0;
}

.text h2 {
    /* width: 100%; */
    margin: auto;
    text-align: center;
}

.achiev-img, .achiev-video {
    display: flex;
    align-items: start;
    gap: 20px;
    width: 100%;
}

.achive {
    display: flex;
    justify-content: start;
    align-items: start;
    flex-wrap: wrap;
    gap: 20px;
}

.achive img, .achive video {
    max-width: 300px;
    width: 100%;
}




@media (max-width: 991px) {

    .menu {
        display: block;
    }

    .profile {
        margin-left: -400px;
        z-index: 999;
    }

    .show {
        margin-left: 0;
    }

    .profile h6 {
        display: block;
    }

    .main-container {
        padding: 0;
    }

    #carouselExampleSlidesOnly,
    .carousel-inner {
        width: 100%;
        height: 400px;
    }

}



@media (max-width: 561px) {

    .profile-container {
        display: flex;
        flex-direction: column;
    }

    .profile {
        position: static;
        margin: 0;
        width: 100%;
        padding-bottom: 12px;
    }

    .profile h6 {
        display: none;
    }

    .profile .nav {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
    }

    .menu {
        display: none;
    }

    #carouselExampleSlidesOnly,
    .carousel-inner {
        width: 100%;
        height: 200px;
    }

    .details {
        flex-wrap: wrap;
    }

    .skills {
        flex-wrap: wrap;
    }

    .change {
        flex-wrap: wrap;
    }

    .trans {
        display: flex;
        flex-direction: column;
    }

    .trans .fa-arrow-right {
        display: none;
    }

    .hied {
        display: none;
    }

    .trans {
        height: auto;
    }

    .trans .fa-arrow-down {
        display: block;
    }

    .contact-detail {
        flex-wrap: wrap;
    }

}